<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.BuildingBlockRepositoryLogs']}</h1>
        <div class="row">
            <div class="col-md-12">
                <h:form id="globalform">
                    #{buildingBlockRepositoryManager.initSelectedBuildingBlockRepository()}
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:param name="styleClass" value="panel-info"/>
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.BBRLogs']}</ui:define>

                        <pre>
                            <h:outputText id="bbrLogs"
                                          value="#{buildingBlockRepositoryManager.displayLogs()}"/>
                            <br/>
                            <h:panelGroup rendered="#{!buildingBlockRepositoryManager.selectedBuildingBlockRepository.isBuilt()}">
                                <i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>
                            </h:panelGroup>

					    </pre>

                        <ui:define name="panel_footer">
                            <h:commandLink value="#{messages['net.ihe.gazelle.cdagen.Back']}"
                                           styleClass="gzl-btn"
                                           onclick="window.history.go(-1); return false;"/>
                        </ui:define>
                    </ui:decorate>
                </h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>